%global docdir %{_datadir}/doc/gluster.cluster
%global rolesdir %{_sysconfdir}/ansible/roles/gluster.cluster
%global buildnum 1

Name:      gluster-ansible-cluster
Version:   1.0
Release:   1%{?dist}
Summary:   Ansible roles for GlusterFS volume management

URL:       https://github.com/gluster/gluster-ansible-cluster
Source0:   %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}-%{buildnum}.tar.gz
License:   GPLv3
BuildArch: noarch

Requires:  ansible >= 2.6

%description
Collection of Ansible roles for the creating and managing GlusterFS volumes.

%prep
%setup -q -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}/%{docdir}
install -p -m 644 README.md %{buildroot}/%{docdir}
cp -r examples %{buildroot}/%{docdir}/

mkdir -p %{buildroot}/%{rolesdir}
cp -dpr defaults handlers meta roles tasks tests LICENSE vars \
   %{buildroot}/%{rolesdir}

%files
%doc %{docdir}
%rolesdir

%license LICENSE

%changelog
* Thu Nov 13 2019 Prajith Kesava Prasad <pkesavap@redhat.com> 1.0-1
- Building gluster-ansible-cluster for RHEL8

* Fri Sep 21 2018 Sachidananda Urs <sac@redhat.com> 1.0
- Initial downstream build

* Fri Aug 31 2018 Sachidananda Urs <sac@redhat.com> 0.1
- Initial release, volume creation and set options
